<?php

$options = array();

$options[] = array(
	'id'    => 'ss_option[icon_header]',
	'type'  => 'jeg-header',
	'label' => esc_html__( 'Share Bar Social Icon', 'epic-ss' ),
);

$single_post_tag = array(
	'redirect' => 'single_post_tag',
	'refresh'  => true
);

$share_network = array(
	''            => esc_attr__( 'Choose Share Network', 'epic-ss' ),
	'facebook'    => esc_attr__( 'Facebook', 'epic-ss' ),
	'twitter'     => esc_attr__( 'Twitter', 'epic-ss' ),
	'linkedin'    => esc_attr__( 'Linkedin', 'epic-ss' ),
	'googleplus'  => esc_attr__( 'Google+', 'epic-ss' ),
	'pinterest'   => esc_attr__( 'Pinterest', 'epic-ss' ),
	'stumbleupon' => esc_attr__( 'Stumbleupon', 'epic-ss' ),
	'reddit'      => esc_attr__( 'Reddit', 'epic-ss' ),
	'tumblr'      => esc_attr__( 'Tumblr', 'epic-ss' ),
	'whatsapp'    => esc_attr__( 'Whatsapp', 'epic-ss' ),
	'vk'          => esc_attr__( 'Vk', 'epic-ss' ),
	'qrcode'      => esc_attr__( 'QR Code', 'epic-ss' ),
	'wechat'      => esc_attr__( 'Wechat', 'epic-ss' ),
	'line'        => esc_attr__( 'Line', 'epic-ss' ),
	'hatena'      => esc_attr__( 'Hatena', 'epic-ss' ),
	'email'       => esc_attr__( 'Email', 'epic-ss' ),
);

$options[] = array(
	'id'              => 'ss_option[share_main]',
	'option_type'     => 'option',
	'transport'       => 'postMessage',
	'type'            => 'jeg-repeater',
	'label'           => esc_html__( 'Main Share Network', 'epic-ss' ),
	'description'     => wp_kses( __( 'Main share network will always show on your share post container. <br/>Fill share text if you need your share button to have share text on it, but leave it empty to make it look like default button.', 'epic-ss' ), wp_kses_allowed_html() ),
	'default'         => array(
		array(
			'social_share' => 'facebook',
			'social_text'  => esc_html__( 'Share on Facebook', 'epic-ss' )
		),
		array(
			'social_share' => 'twitter',
			'social_text'  => esc_html__( 'Share on Twitter', 'epic-ss' )
		),
		array(
			'social_share' => 'pinterest',
			'social_text'  => ''
		),
	),
	'row_label'       => array(
		'type'  => 'text',
		'value' => esc_attr__( 'Main Share Button', 'epic-ss' ),
		'field' => false,
	),
	'fields'          => array(
		'social_share' => array(
			'type'    => 'select',
			'label'   => esc_attr__( 'Share Network', 'epic-ss' ),
			'default' => '',
			'choices' => $share_network
		),
		'social_text'  => array(
			'type'    => 'text',
			'label'   => esc_attr__( 'Share Text', 'epic-ss' ),
			'default' => '',
		),
	),
	'postvar'         => array( $single_post_tag )
);

$options[] = array(
	'id'              => 'ss_option[share_secondary]',
	'option_type'     => 'option',
	'transport'       => 'postMessage',
	'type'            => 'jeg-repeater',
	'label'           => esc_html__( 'Secondary Share Network', 'epic-ss' ),
	'description'     => wp_kses( __( 'Secondary share network will not be shown until the user click plus (+) button on your share container.', 'epic-ss' ), wp_kses_allowed_html() ),
	'default'         => array(
		array(
			'social_share' => 'googleplus',
		),
		array(
			'social_share' => 'linkedin',
		),
	),
	'row_label'       => array(
		'type'  => 'text',
		'value' => esc_attr__( 'Secondary Share', 'epic-ss' ),
		'field' => false,
	),
	'fields'          => array(
		'social_share' => array(
			'type'    => 'select',
			'label'   => esc_attr__( 'Share Network', 'epic-ss' ),
			'default' => '',
			'choices' => $share_network
		),
	),
	'postvar'         => array( $single_post_tag )
);

$options[] = array(
    'id'    => 'ss_option[override_top_icon_header]',
    'type'  => 'jeg-header',
    'label' => esc_html__( 'Top Social Icon', 'epic-ss' ),
);

$options[] = array(
    'id'              => 'ss_option[override_top_icon_style]',
    'option_type'     => 'option',
    'transport'       => 'postMessage',
    'default'         => false,
    'type'            => 'jeg-toggle',
    'label'           => esc_html__( 'Override Top Share Icon Style ', 'epic-ss' ),
    'description'     => esc_html__( 'Override icon style on the top view.', 'epic-ss' ),
    'postvar'     => array( $single_post_tag )
);

$options[] = array(
    'id'              => 'ss_option[top_content_share_style]',
    'option_type'     => 'option',
    'transport'       => 'postMessage',
    'default'         => 'colored',
    'type'            => 'jeg-select',
    'label'           => esc_html__( 'Share Style', 'epic-ss' ),
    'description'     => esc_html__( 'Choose the share style.', 'epic-ss' ),
    'choices'         => array(
        'colored'    => esc_html__( 'Colored', 'epic-ss' ),
        'monochrome' => esc_html__( 'Monochrome', 'epic-ss' ),
    ),
    'output'          => array(
        array(
            'method'   => 'class-masking',
            'element'  => '.jeg_share_button',
            'property' => array(
                'colored'    => 'colored',
                'monochrome' => 'monochrome',
            ),
        ),
    ),
    'active_callback' => array(
        array(
            'setting'  => 'ss_option[override_top_icon_style]',
            'operator' => '==',
            'value'    => true
        )
    ),
    'postvar'         => array( $single_post_tag ),
    'wrapper_class'   => array( 'first_child' )
);

$options[] = array(
    'id'              => 'ss_option[override_top_icon]',
    'option_type'     => 'option',
    'transport'       => 'postMessage',
    'default'         => false,
    'type'            => 'jeg-toggle',
    'label'           => esc_html__( 'Override Top Share Icon ', 'epic-ss' ),
    'description'     => esc_html__( 'Override icon on the top view.', 'epic-ss' ),
    'postvar'     => array( $single_post_tag )
);

$options[] = array(
    'id'              => 'ss_option[top_share_main]',
    'option_type'     => 'option',
    'transport'       => 'postMessage',
    'type'            => 'jeg-repeater',
    'label'           => esc_html__( 'Main Share Network', 'epic-ss' ),
    'description'     => wp_kses( __( 'Main share network will always show on your share post container. <br/>Fill share text if you need your share button to have share text on it, but leave it empty to make it look like default button.', 'epic-ss' ), wp_kses_allowed_html() ),
    'default'         => array(
        array(
            'social_share' => 'facebook',
            'social_text'  => esc_html__( 'Share on Facebook', 'epic-ss' )
        ),
        array(
            'social_share' => 'twitter',
            'social_text'  => esc_html__( 'Share on Twitter', 'epic-ss' )
        ),
        array(
            'social_share' => 'pinterest',
            'social_text'  => ''
        ),
    ),
    'row_label'       => array(
        'type'  => 'text',
        'value' => esc_attr__( 'Main Share Button', 'epic-ss' ),
        'field' => false,
    ),
    'fields'          => array(
        'social_share' => array(
            'type'    => 'select',
            'label'   => esc_attr__( 'Share Network', 'epic-ss' ),
            'default' => '',
            'choices' => $share_network
        ),
        'social_text'  => array(
            'type'    => 'text',
            'label'   => esc_attr__( 'Share Text', 'epic-ss' ),
            'default' => '',
        ),
    ),
    'active_callback' => array(
        array(
            'setting'  => 'ss_option[override_top_icon]',
            'operator' => '==',
            'value'    => true
        )
    ),
    'postvar'         => array( $single_post_tag ),
    'wrapper_class'   => array( 'first_child' )
);

$options[] = array(
    'id'              => 'ss_option[top_share_secondary]',
    'option_type'     => 'option',
    'transport'       => 'postMessage',
    'type'            => 'jeg-repeater',
    'label'           => esc_html__( 'Secondary Share Network', 'epic-ss' ),
    'description'     => wp_kses( __( 'Secondary share network will not be shown until the user click plus (+) button on your share container.', 'epic-ss' ), wp_kses_allowed_html() ),
    'default'         => array(
        array(
            'social_share' => 'googleplus',
        ),
        array(
            'social_share' => 'linkedin',
        ),
    ),
    'row_label'       => array(
        'type'  => 'text',
        'value' => esc_attr__( 'Secondary Share', 'epic-ss' ),
        'field' => false,
    ),
    'fields'          => array(
        'social_share' => array(
            'type'    => 'select',
            'label'   => esc_attr__( 'Share Network', 'epic-ss' ),
            'default' => '',
            'choices' => $share_network
        ),
    ),
    'active_callback' => array(
        array(
            'setting'  => 'ss_option[override_top_icon]',
            'operator' => '==',
            'value'    => true
        )
    ),
    'postvar'         => array( $single_post_tag ),
    'wrapper_class'   => array( 'first_child' )
);

$options[] = array(
    'id'    => 'ss_option[override_bottom_icon_header]',
    'type'  => 'jeg-header',
    'label' => esc_html__( 'Bottom Social Icon', 'epic-ss' ),
);

$options[] = array(
    'id'              => 'ss_option[override_bottom_icon_style]',
    'option_type'     => 'option',
    'transport'       => 'postMessage',
    'default'         => false,
    'type'            => 'jeg-toggle',
    'label'           => esc_html__( 'Override Bottom Share Icon Style ', 'epic-ss' ),
    'description'     => esc_html__( 'Override icon style on the bottom view.', 'epic-ss' ),
    'postvar'     => array( $single_post_tag )
);

$options[] = array(
    'id'              => 'ss_option[bottom_content_share_style]',
    'option_type'     => 'option',
    'transport'       => 'postMessage',
    'default'         => 'colored',
    'type'            => 'jeg-select',
    'label'           => esc_html__( 'Share Style', 'epic-ss' ),
    'description'     => esc_html__( 'Choose the share style.', 'epic-ss' ),
    'choices'         => array(
        'colored'    => esc_html__( 'Colored', 'epic-ss' ),
        'monochrome' => esc_html__( 'Monochrome', 'epic-ss' ),
    ),
    'output'          => array(
        array(
            'method'   => 'class-masking',
            'element'  => '.jeg_share_button',
            'property' => array(
                'colored'    => 'colored',
                'monochrome' => 'monochrome',
            ),
        ),
    ),
    'active_callback' => array(
        array(
            'setting'  => 'ss_option[override_bottom_icon_style]',
            'operator' => '==',
            'value'    => true
        )
    ),
    'postvar'         => array( $single_post_tag ),
    'wrapper_class'   => array( 'first_child' )
);

$options[] = array(
    'id'              => 'ss_option[override_bottom_icon]',
    'option_type'     => 'option',
    'transport'       => 'postMessage',
    'default'         => false,
    'type'            => 'jeg-toggle',
    'label'           => esc_html__( 'Override Bottom Share Icon ', 'epic-ss' ),
    'description'     => esc_html__( 'Override icon on the bottom view.', 'epic-ss' ),
    'postvar'     => array( $single_post_tag )
);

$options[] = array(
    'id'              => 'ss_option[bottom_share_main]',
    'option_type'     => 'option',
    'transport'       => 'postMessage',
    'type'            => 'jeg-repeater',
    'label'           => esc_html__( 'Main Share Network', 'epic-ss' ),
    'description'     => wp_kses( __( 'Main share network will always show on your share post container. <br/>Fill share text if you need your share button to have share text on it, but leave it empty to make it look like default button.', 'epic-ss' ), wp_kses_allowed_html() ),
    'default'         => array(
        array(
            'social_share' => 'facebook',
            'social_text'  => esc_html__( 'Share on Facebook', 'epic-ss' )
        ),
        array(
            'social_share' => 'twitter',
            'social_text'  => esc_html__( 'Share on Twitter', 'epic-ss' )
        ),
        array(
            'social_share' => 'pinterest',
            'social_text'  => ''
        ),
    ),
    'row_label'       => array(
        'type'  => 'text',
        'value' => esc_attr__( 'Main Share Button', 'epic-ss' ),
        'field' => false,
    ),
    'fields'          => array(
        'social_share' => array(
            'type'    => 'select',
            'label'   => esc_attr__( 'Share Network', 'epic-ss' ),
            'default' => '',
            'choices' => $share_network
        ),
        'social_text'  => array(
            'type'    => 'text',
            'label'   => esc_attr__( 'Share Text', 'epic-ss' ),
            'default' => '',
        ),
    ),
    'active_callback' => array(
        array(
            'setting'  => 'ss_option[override_bottom_icon]',
            'operator' => '==',
            'value'    => true
        )
    ),
    'postvar'         => array( $single_post_tag ),
    'wrapper_class'   => array( 'first_child' )
);

$options[] = array(
    'id'              => 'ss_option[bottom_share_secondary]',
    'option_type'     => 'option',
    'transport'       => 'postMessage',
    'type'            => 'jeg-repeater',
    'label'           => esc_html__( 'Secondary Share Network', 'epic-ss' ),
    'description'     => wp_kses( __( 'Secondary share network will not be shown until the user click plus (+) button on your share container.', 'epic-ss' ), wp_kses_allowed_html() ),
    'default'         => array(
        array(
            'social_share' => 'googleplus',
        ),
        array(
            'social_share' => 'linkedin',
        ),
    ),
    'row_label'       => array(
        'type'  => 'text',
        'value' => esc_attr__( 'Secondary Share', 'epic-ss' ),
        'field' => false,
    ),
    'fields'          => array(
        'social_share' => array(
            'type'    => 'select',
            'label'   => esc_attr__( 'Share Network', 'epic-ss' ),
            'default' => '',
            'choices' => $share_network
        ),
    ),
    'active_callback' => array(
        array(
            'setting'  => 'ss_option[override_bottom_icon]',
            'operator' => '==',
            'value'    => true
        )
    ),
    'postvar'         => array( $single_post_tag ),
    'wrapper_class'   => array( 'first_child' )
);

$options[] = array(
    'id'    => 'ss_option[override_float_icon_header]',
    'type'  => 'jeg-header',
    'label' => esc_html__( 'Float Social Icon', 'epic-ss' ),
);

$options[] = array(
    'id'              => 'ss_option[override_float_icon_style]',
    'option_type'     => 'option',
    'transport'       => 'postMessage',
    'default'         => false,
    'type'            => 'jeg-toggle',
    'label'           => esc_html__( 'Override Float Share Icon Style ', 'epic-ss' ),
    'description'     => esc_html__( 'Override icon style on the float view.', 'epic-ss' ),
    'postvar'     => array( $single_post_tag )
);

$options[] = array(
    'id'              => 'ss_option[float_content_share_style]',
    'option_type'     => 'option',
    'transport'       => 'postMessage',
    'default'         => 'colored',
    'type'            => 'jeg-select',
    'label'           => esc_html__( 'Share Style', 'epic-ss' ),
    'description'     => esc_html__( 'Choose the share style.', 'epic-ss' ),
    'choices'         => array(
        'colored'    => esc_html__( 'Colored', 'epic-ss' ),
        'monochrome' => esc_html__( 'Monochrome', 'epic-ss' ),
    ),
    'output'          => array(
        array(
            'method'   => 'class-masking',
            'element'  => '.jeg_share_button',
            'property' => array(
                'colored'    => 'colored',
                'monochrome' => 'monochrome',
            ),
        ),
    ),
    'active_callback' => array(
        array(
            'setting'  => 'ss_option[override_float_icon_style]',
            'operator' => '==',
            'value'    => true
        )
    ),
    'postvar'         => array( $single_post_tag ),
    'wrapper_class'   => array( 'first_child' )
);

$options[] = array(
    'id'              => 'ss_option[override_float_icon]',
    'option_type'     => 'option',
    'transport'       => 'postMessage',
    'default'         => false,
    'type'            => 'jeg-toggle',
    'label'           => esc_html__( 'Override Float Share Icon ', 'epic-ss' ),
    'description'     => esc_html__( 'Override icon on the float view.', 'epic-ss' ),
    'postvar'     => array( $single_post_tag )
);

$options[] = array(
    'id'              => 'ss_option[float_share_main]',
    'option_type'     => 'option',
    'transport'       => 'postMessage',
    'type'            => 'jeg-repeater',
    'label'           => esc_html__( 'Main Share Network', 'epic-ss' ),
    'description'     => wp_kses( __( 'Main share network will always show on your share post container. <br/>Fill share text if you need your share button to have share text on it, but leave it empty to make it look like default button.', 'epic-ss' ), wp_kses_allowed_html() ),
    'default'         => array(
        array(
            'social_share' => 'facebook',
            'social_text'  => esc_html__( 'Share on Facebook', 'epic-ss' )
        ),
        array(
            'social_share' => 'twitter',
            'social_text'  => esc_html__( 'Share on Twitter', 'epic-ss' )
        ),
        array(
            'social_share' => 'pinterest',
            'social_text'  => ''
        ),
    ),
    'row_label'       => array(
        'type'  => 'text',
        'value' => esc_attr__( 'Main Share Button', 'epic-ss' ),
        'field' => false,
    ),
    'fields'          => array(
        'social_share' => array(
            'type'    => 'select',
            'label'   => esc_attr__( 'Share Network', 'epic-ss' ),
            'default' => '',
            'choices' => $share_network
        ),
        'social_text'  => array(
            'type'    => 'text',
            'label'   => esc_attr__( 'Share Text', 'epic-ss' ),
            'default' => '',
        ),
    ),
    'active_callback' => array(
        array(
            'setting'  => 'ss_option[override_float_icon]',
            'operator' => '==',
            'value'    => true
        )
    ),
    'postvar'         => array( $single_post_tag ),
    'wrapper_class'   => array( 'first_child' )
);

$options[] = array(
    'id'              => 'ss_option[float_share_secondary]',
    'option_type'     => 'option',
    'transport'       => 'postMessage',
    'type'            => 'jeg-repeater',
    'label'           => esc_html__( 'Secondary Share Network', 'epic-ss' ),
    'description'     => wp_kses( __( 'Secondary share network will not be shown until the user click plus (+) button on your share container.', 'epic-ss' ), wp_kses_allowed_html() ),
    'default'         => array(
        array(
            'social_share' => 'googleplus',
        ),
        array(
            'social_share' => 'linkedin',
        ),
    ),
    'row_label'       => array(
        'type'  => 'text',
        'value' => esc_attr__( 'Secondary Share', 'epic-ss' ),
        'field' => false,
    ),
    'fields'          => array(
        'social_share' => array(
            'type'    => 'select',
            'label'   => esc_attr__( 'Share Network', 'epic-ss' ),
            'default' => '',
            'choices' => $share_network
        ),
    ),
    'active_callback' => array(
        array(
            'setting'  => 'ss_option[override_float_icon]',
            'operator' => '==',
            'value'    => true
        )
    ),
    'postvar'         => array( $single_post_tag ),
    'wrapper_class'   => array( 'first_child' )
);

$options[] = array(
    'id'    => 'ss_option[override_side_icon_header]',
    'type'  => 'jeg-header',
    'label' => esc_html__( 'Side Social Icon', 'epic-ss' ),
);

$options[] = array(
    'id'              => 'ss_option[override_side_icon_style]',
    'option_type'     => 'option',
    'transport'       => 'postMessage',
    'default'         => false,
    'type'            => 'jeg-toggle',
    'label'           => esc_html__( 'Override Side Share Icon Style ', 'epic-ss' ),
    'description'     => esc_html__( 'Override icon style on the side view.', 'epic-ss' ),
    'postvar'     => array( $single_post_tag )
);

$options[] = array(
    'id'              => 'ss_option[side_content_share_style]',
    'option_type'     => 'option',
    'transport'       => 'postMessage',
    'default'         => 'colored',
    'type'            => 'jeg-select',
    'label'           => esc_html__( 'Share Style', 'epic-ss' ),
    'description'     => esc_html__( 'Choose the share style.', 'epic-ss' ),
    'choices'         => array(
        'colored'    => esc_html__( 'Colored', 'epic-ss' ),
        'monochrome' => esc_html__( 'Monochrome', 'epic-ss' ),
    ),
    'output'          => array(
        array(
            'method'   => 'class-masking',
            'element'  => '.jeg_share_button',
            'property' => array(
                'colored'    => 'colored',
                'monochrome' => 'monochrome',
            ),
        ),
    ),
    'active_callback' => array(
        array(
            'setting'  => 'ss_option[override_side_icon_style]',
            'operator' => '==',
            'value'    => true
        )
    ),
    'postvar'         => array( $single_post_tag ),
    'wrapper_class'   => array( 'first_child' )
);

$options[] = array(
    'id'              => 'ss_option[override_side_icon]',
    'option_type'     => 'option',
    'transport'       => 'postMessage',
    'default'         => false,
    'type'            => 'jeg-toggle',
    'label'           => esc_html__( 'Override Side Share Icon ', 'epic-ss' ),
    'description'     => esc_html__( 'Override icon on the side view.', 'epic-ss' ),
    'postvar'     => array( $single_post_tag )
);

$options[] = array(
    'id'              => 'ss_option[side_share_main]',
    'option_type'     => 'option',
    'transport'       => 'postMessage',
    'type'            => 'jeg-repeater',
    'label'           => esc_html__( 'Main Share Network', 'epic-ss' ),
    'description'     => wp_kses( __( 'Main share network will always show on your share post container. <br/>Fill share text if you need your share button to have share text on it, but leave it empty to make it look like default button.', 'epic-ss' ), wp_kses_allowed_html() ),
    'default'         => array(
        array(
            'social_share' => 'facebook',
            'social_text'  => esc_html__( 'Share on Facebook', 'epic-ss' )
        ),
        array(
            'social_share' => 'twitter',
            'social_text'  => esc_html__( 'Share on Twitter', 'epic-ss' )
        ),
        array(
            'social_share' => 'pinterest',
            'social_text'  => ''
        ),
    ),
    'row_label'       => array(
        'type'  => 'text',
        'value' => esc_attr__( 'Main Share Button', 'epic-ss' ),
        'field' => false,
    ),
    'fields'          => array(
        'social_share' => array(
            'type'    => 'select',
            'label'   => esc_attr__( 'Share Network', 'epic-ss' ),
            'default' => '',
            'choices' => $share_network
        ),
        'social_text'  => array(
            'type'    => 'text',
            'label'   => esc_attr__( 'Share Text', 'epic-ss' ),
            'default' => '',
        ),
    ),
    'active_callback' => array(
        array(
            'setting'  => 'ss_option[override_side_icon]',
            'operator' => '==',
            'value'    => true
        )
    ),
    'postvar'         => array( $single_post_tag ),
    'wrapper_class'   => array( 'first_child' )
);

$options[] = array(
    'id'              => 'ss_option[side_share_secondary]',
    'option_type'     => 'option',
    'transport'       => 'postMessage',
    'type'            => 'jeg-repeater',
    'label'           => esc_html__( 'Secondary Share Network', 'epic-ss' ),
    'description'     => wp_kses( __( 'Secondary share network will not be shown until the user click plus (+) button on your share container.', 'epic-ss' ), wp_kses_allowed_html() ),
    'default'         => array(
        array(
            'social_share' => 'googleplus',
        ),
        array(
            'social_share' => 'linkedin',
        ),
    ),
    'row_label'       => array(
        'type'  => 'text',
        'value' => esc_attr__( 'Secondary Share', 'epic-ss' ),
        'field' => false,
    ),
    'fields'          => array(
        'social_share' => array(
            'type'    => 'select',
            'label'   => esc_attr__( 'Share Network', 'epic-ss' ),
            'default' => '',
            'choices' => $share_network
        ),
    ),
    'active_callback' => array(
        array(
            'setting'  => 'ss_option[override_side_icon]',
            'operator' => '==',
            'value'    => true
        )
    ),
    'postvar'         => array( $single_post_tag ),
    'wrapper_class'   => array( 'first_child' )
);

$options[] = array(
    'id'    => 'ss_option[override_mobile_icon_header]',
    'type'  => 'jeg-header',
    'label' => esc_html__( 'Mobile Social Icon', 'epic-ss' ),
);

$options[] = array(
    'id'              => 'ss_option[override_mobile_icon_style]',
    'option_type'     => 'option',
    'transport'       => 'postMessage',
    'default'         => false,
    'type'            => 'jeg-toggle',
    'label'           => esc_html__( 'Override Mobile Share Icon Style ', 'epic-ss' ),
    'description'     => esc_html__( 'Override icon style on the mobile view.', 'epic-ss' ),
    'postvar'     => array( $single_post_tag )
);

$options[] = array(
    'id'              => 'ss_option[mobile_content_share_style]',
    'option_type'     => 'option',
    'transport'       => 'postMessage',
    'default'         => 'colored',
    'type'            => 'jeg-select',
    'label'           => esc_html__( 'Share Style', 'epic-ss' ),
    'description'     => esc_html__( 'Choose the share style.', 'epic-ss' ),
    'choices'         => array(
        'colored'    => esc_html__( 'Colored', 'epic-ss' ),
        'monochrome' => esc_html__( 'Monochrome', 'epic-ss' ),
    ),
    'output'          => array(
        array(
            'method'   => 'class-masking',
            'element'  => '.jeg_share_button',
            'property' => array(
                'colored'    => 'colored',
                'monochrome' => 'monochrome',
            ),
        ),
    ),
    'active_callback' => array(
        array(
            'setting'  => 'ss_option[override_mobile_icon_style]',
            'operator' => '==',
            'value'    => true
        )
    ),
    'postvar'         => array( $single_post_tag ),
    'wrapper_class'   => array( 'first_child' )
);

$options[] = array(
    'id'              => 'ss_option[override_mobile_icon]',
    'option_type'     => 'option',
    'transport'       => 'postMessage',
    'default'         => false,
    'type'            => 'jeg-toggle',
    'label'           => esc_html__( 'Override Mobile Share Icon ', 'epic-ss' ),
    'description'     => esc_html__( 'Override icon on the mobile view.', 'epic-ss' ),
    'postvar'     => array( $single_post_tag )
);

$options[] = array(
    'id'              => 'ss_option[mobile_share_main]',
    'option_type'     => 'option',
    'transport'       => 'postMessage',
    'type'            => 'jeg-repeater',
    'label'           => esc_html__( 'Main Share Network', 'epic-ss' ),
    'description'     => wp_kses( __( 'Main share network will always show on your share post container. <br/>Fill share text if you need your share button to have share text on it, but leave it empty to make it look like default button.', 'epic-ss' ), wp_kses_allowed_html() ),
    'default'         => array(
        array(
            'social_share' => 'facebook',
            'social_text'  => esc_html__( 'Share on Facebook', 'epic-ss' )
        ),
        array(
            'social_share' => 'twitter',
            'social_text'  => esc_html__( 'Share on Twitter', 'epic-ss' )
        ),
        array(
            'social_share' => 'pinterest',
            'social_text'  => ''
        ),
    ),
    'row_label'       => array(
        'type'  => 'text',
        'value' => esc_attr__( 'Main Share Button', 'epic-ss' ),
        'field' => false,
    ),
    'fields'          => array(
        'social_share' => array(
            'type'    => 'select',
            'label'   => esc_attr__( 'Share Network', 'epic-ss' ),
            'default' => '',
            'choices' => $share_network
        ),
        'social_text'  => array(
            'type'    => 'text',
            'label'   => esc_attr__( 'Share Text', 'epic-ss' ),
            'default' => '',
        ),
    ),
    'active_callback' => array(
        array(
            'setting'  => 'ss_option[override_mobile_icon]',
            'operator' => '==',
            'value'    => true
        )
    ),
    'postvar'         => array( $single_post_tag ),
    'wrapper_class'   => array( 'first_child' )
);

$options[] = array(
    'id'              => 'ss_option[mobile_share_secondary]',
    'option_type'     => 'option',
    'transport'       => 'postMessage',
    'type'            => 'jeg-repeater',
    'label'           => esc_html__( 'Secondary Share Network', 'epic-ss' ),
    'description'     => wp_kses( __( 'Secondary share network will not be shown until the user click plus (+) button on your share container.', 'epic-ss' ), wp_kses_allowed_html() ),
    'default'         => array(
        array(
            'social_share' => 'googleplus',
        ),
        array(
            'social_share' => 'linkedin',
        ),
    ),
    'row_label'       => array(
        'type'  => 'text',
        'value' => esc_attr__( 'Secondary Share', 'epic-ss' ),
        'field' => false,
    ),
    'fields'          => array(
        'social_share' => array(
            'type'    => 'select',
            'label'   => esc_attr__( 'Share Network', 'epic-ss' ),
            'default' => '',
            'choices' => $share_network
        ),
    ),
    'active_callback' => array(
        array(
            'setting'  => 'ss_option[override_mobile_icon]',
            'operator' => '==',
            'value'    => true
        )
    ),
    'postvar'         => array( $single_post_tag ),
    'wrapper_class'   => array( 'first_child' )
);

$options[] = array(
	'id'    => 'ss_option[detail_header]',
	'type'  => 'jeg-header',
	'label' => esc_html__( 'Share Bar Detail', 'epic-ss' ),
);

$options[] = array(
	'id'          => 'ss_option[twitter_account]',
	'option_type' => 'option',
	'transport'   => 'postMessage',
	'default'     => '',
	'type'        => 'jeg-text',
	'label'       => esc_html__( 'Twitter Account', 'epic-ss' ),
	'description' => esc_html__( 'Default Twitter account (username) as share reference.', 'epic-ss' ),
	'postvar'     => array( $single_post_tag )
);

return $options;
