<?php

$options = array();

$single_post_tag = array(
	'redirect' => 'single_post_tag',
	'refresh'  => true
);

$options[] = array(
	'id'    => 'ss_option[content_header]',
	'type'  => 'jeg-header',
	'label' => esc_html__( 'Content Share Position', 'epic-ss' ),
);

$options[] = array(
	'id'          => 'ss_option[content_share_position]',
	'option_type' => 'option',
	'transport'   => 'postMessage',
	'default'     => 'top',
	'type'        => 'jeg-select',
	'label'       => esc_html__( 'Content Share Position', 'epic-ss' ),
	'description' => esc_html__( 'Choose share position around the content.', 'epic-ss' ),
	'choices'     => array(
		'top'         => esc_html__( 'Top', 'epic-ss' ),
		'bottom'      => esc_html__( 'Bottom', 'epic-ss' ),
		'float'       => esc_html__( 'Float', 'epic-ss' ),
		'topbottom'   => esc_html__( 'Top + Bottom', 'epic-ss' ),
		'floatbottom' => esc_html__( 'Float + Bottom', 'epic-ss' ),
		'hide'        => esc_html__( 'Hide', 'epic-ss' ),
	),
	'postvar'     => array( $single_post_tag )
);

$options[] = array(
	'id'              => 'ss_option[content_share_type_top]',
	'option_type'     => 'option',
	'transport'       => 'postMessage',
	'default'         => '1',
	'type'            => 'jeg-select',
	'label'           => esc_html__( 'Top Share Type', 'epic-ss' ),
	'description'     => esc_html__( 'Choose the type of top share element.', 'epic-ss' ),
	'choices'         => array(
		'1' => esc_html__( 'Type 1', 'epic-ss' ),
		'2' => esc_html__( 'Type 2', 'epic-ss' ),
	),
	'active_callback' => array(
		array(
			'setting'  => 'ss_option[content_share_position]',
			'operator' => 'in',
			'value'    => array( 'top', 'topbottom' )
		)
	),
	'postvar'         => array( $single_post_tag )
);

$options[] = array(
	'id'              => 'ss_option[content_share_type_bottom]',
	'option_type'     => 'option',
	'transport'       => 'postMessage',
	'default'         => '1',
	'type'            => 'jeg-select',
	'label'           => esc_html__( 'Bottom Share Type', 'epic-ss' ),
	'description'     => esc_html__( 'Choose the type of bottom share element.', 'epic-ss' ),
	'choices'         => array(
		'1' => esc_html__( 'Type 1', 'epic-ss' ),
		'2' => esc_html__( 'Type 2', 'epic-ss' ),
	),
	'active_callback' => array(
		array(
			'setting'  => 'ss_option[content_share_position]',
			'operator' => 'in',
			'value'    => array( 'bottom', 'topbottom', 'floatbottom' )
		)
	),
	'postvar'         => array( $single_post_tag )
);

$options[] = array(
	'id'              => 'ss_option[content_share_type_float]',
	'option_type'     => 'option',
	'transport'       => 'postMessage',
	'default'         => '1',
	'type'            => 'jeg-select',
	'label'           => esc_html__( 'Float Share Type', 'epic-ss' ),
	'description'     => esc_html__( 'Choose the type of float share element.', 'epic-ss' ),
	'choices'         => array(
		'1' => esc_html__( 'Type 1', 'epic-ss' ),
		'2' => esc_html__( 'Type 2', 'epic-ss' ),
	),
	'active_callback' => array(
		array(
			'setting'  => 'ss_option[content_share_position]',
			'operator' => 'in',
			'value'    => array( 'float', 'floatbottom' )
		)
	),
	'postvar'         => array( $single_post_tag )
);

$options[] = array(
	'id'              => 'ss_option[content_share_style]',
	'option_type'     => 'option',
	'transport'       => 'postMessage',
	'default'         => 'colored',
	'type'            => 'jeg-select',
	'label'           => esc_html__( 'Share Style', 'epic-ss' ),
	'description'     => esc_html__( 'Choose the share style.', 'epic-ss' ),
	'choices'         => array(
		'colored'    => esc_html__( 'Colored', 'epic-ss' ),
		'monochrome' => esc_html__( 'Monochrome', 'epic-ss' ),
	),
	'output'          => array(
		array(
			'method'   => 'class-masking',
			'element'  => '.jeg_share_button',
			'property' => array(
				'colored'    => 'colored',
				'monochrome' => 'monochrome',
			),
		),
	),
	'active_callback' => array(
		array(
			'setting'  => 'ss_option[content_share_position]',
			'operator' => '!=',
			'value'    => 'hide'
		)
	),
	'postvar'         => array( $single_post_tag )
);

$options[] = array(
	'id'              => 'ss_option[content_share_color]',
	'option_type'     => 'option',
	'transport'       => 'postMessage',
	'type'            => 'jeg-color',
	'label'           => esc_html__( 'Share Color', 'epic-ss' ),
	'description'     => esc_html__( 'Set the color of share element.', 'epic-ss' ),
	'choices'         => array(
		'alpha' => true,
	),
	'output'          => array(
		array(
			'method'   => 'inject-style',
			'element'  => '.jeg_share_button.monochrome .jeg_sharelist a',
			'property' => 'background-color',
		)
	),
	'active_callback' => array(
		array(
			'setting'  => 'ss_option[content_share_style]',
			'operator' => '==',
			'value'    => 'monochrome'
		)
	),
	'postvar'         => array( $single_post_tag )
);

$options[] = array(
	'id'              => 'ss_option[content_share_page]',
	'option_type'     => 'option',
	'transport'       => 'postMessage',
	'default'         => false,
	'type'            => 'jeg-toggle',
	'label'           => esc_html__( 'Page Share', 'epic-ss' ),
	'description'     => esc_html__( 'Enable content share on the single page.', 'epic-ss' ),
	'active_callback' => array(
		array(
			'setting'  => 'ss_option[content_share_position]',
			'operator' => '!=',
			'value'    => 'hide'
		)
	)
);

$options[] = array(
	'id'    => 'ss_option[side_header]',
	'type'  => 'jeg-header',
	'label' => esc_html__( 'Side Share Position', 'epic-ss' ),
);

$options[] = array(
	'id'              => 'ss_option[side_share_position]',
	'option_type'     => 'option',
	'transport'       => 'postMessage',
	'default'         => 'hide',
	'type'            => 'jeg-select',
	'label'           => esc_html__( 'Side Share Position', 'epic-ss' ),
	'description'     => esc_html__( 'Enable share position on the side area.', 'epic-ss' ),
	'choices'         => array(
		'left'  => esc_html__( 'Left Side', 'epic-ss' ),
		'right' => esc_html__( 'Right Side', 'epic-ss' ),
		'hide'  => esc_html__( 'Hide', 'epic-ss' ),
	),
	'partial_refresh' => array(
		'ss_option[side_share_position]' => array(
			'selector'        => '.jeg_share_side_container',
			'render_callback' => function () {
				echo EPIC\SS\Ss::get_instance()->share_side_output();
			},
		)
	),
	'postvar'         => array(
		array(
			'redirect' => 'single_post_tag',
			'refresh'  => false
		)
	)
);

$options[] = array(
	'id'              => 'ss_option[side_share_type]',
	'option_type'     => 'option',
	'transport'       => 'postMessage',
	'default'         => '1',
	'type'            => 'jeg-select',
	'label'           => esc_html__( 'Side Share Type', 'epic-ss' ),
	'description'     => esc_html__( 'Choose the type of side share element.', 'epic-ss' ),
	'choices'         => array(
		'1' => esc_html__( 'Type 1', 'epic-ss' ),
		'2' => esc_html__( 'Type 2', 'epic-ss' ),
	),
	'active_callback' => array(
		array(
			'setting'  => 'ss_option[side_share_position]',
			'operator' => '!=',
			'value'    => 'hide'
		)
	),
	'postvar'         => array(
		array(
			'redirect' => 'single_post_tag',
			'refresh'  => false
		)
	)
);

$options[] = array(
	'id'              => 'ss_option[side_share_page]',
	'option_type'     => 'option',
	'transport'       => 'postMessage',
	'default'         => false,
	'type'            => 'jeg-toggle',
	'label'           => esc_html__( 'Page Share', 'epic-ss' ),
	'description'     => esc_html__( 'Enable side share on the single page.', 'epic-ss' ),
	'active_callback' => array(
		array(
			'setting'  => 'ss_option[side_share_position]',
			'operator' => '!=',
			'value'    => 'hide'
		)
	)
);

$options[] = array(
	'id'    => 'ss_option[mobile_header]',
	'type'  => 'jeg-header',
	'label' => esc_html__( 'Mobile Share Position', 'epic-ss' ),
);

$options[] = array(
	'id'              => 'ss_option[mobile_share_position]',
	'option_type'     => 'option',
	'transport'       => 'postMessage',
	'default'         => false,
	'type'            => 'jeg-toggle',
	'label'           => esc_html__( 'Mobile Share', 'epic-ss' ),
	'description'     => esc_html__( 'Enable share on the mobile view.', 'epic-ss' ),
	'partial_refresh' => array(
		'ss_option[mobile_share_position]' => array(
			'selector'        => '.jeg_share_mobile_container',
			'render_callback' => function () {
				echo EPIC\SS\Ss::get_instance()->share_mobile_output();
			},
		)
	),
	'postvar'         => array(
		array(
			'redirect' => 'single_post_tag',
			'refresh'  => false
		)
	)
);

$options[] = array(
	'id'              => 'ss_option[mobile_share_page]',
	'option_type'     => 'option',
	'transport'       => 'postMessage',
	'default'         => false,
	'type'            => 'jeg-toggle',
	'label'           => esc_html__( 'Page Share', 'epic-ss' ),
	'description'     => esc_html__( 'Enable mobile share on the single page.', 'epic-ss' ),
	'active_callback' => array(
		array(
			'setting'  => 'ss_option[mobile_share_position]',
			'operator' => '==',
			'value'    => true
		)
	)
);

return $options;
